Bug 27699 - Add cash register information to responsive staff interface header menu
Summary: Add cash register information to responsive staff interface header menu
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-12 19:31 UTC by Owen Leonard
Modified: 2021-03-19 13:24 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
This enhancement adds the currently selected cash register (if it is enabled and set) to the logged-in user's header menu on the top righthand side of the staff interface when using smaller browser screen sizes.
Version(s) released in:
21.05.00


Attachments
Bug 27699: Add register information to responsive staff interface header menu (2.21 KB, patch)
2021-02-12 20:00 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27699: Add register information to responsive staff interface header menu (2.26 KB, patch)
2021-02-21 10:37 UTC, David Nind
Details | Diff | Splinter Review
Bug 27699: Add register information to responsive staff interface header menu (2.32 KB, patch)
2021-03-04 13:55 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-02-12 19:31:53 UTC
The logged-in user's menu in the staff interface header adjusts as the browser width is changed. In the version that shows when the browser is narrower, the currently selected cash register doesn't show.
Comment 1 Owen Leonard 2021-02-12 20:00:04 UTC
Created attachment 116847 [details] [review]
Bug 27699: Add register information to responsive staff interface header menu

This patch adds register information to the version of the header menu
shown when the browser width is narrower.

To test, apply the patch and enable the UseCashRegisters system
preference.

- If necessary, create at least one cash register for your library under
  Administration -> Cash registers.
- From any page in the staff interface you should see a menu in the
  header showing your username and logged-in branch.
- Expand the menu and choose "Set library, desk and register."
- Select a cash register and save.
- The cash register information should now appear in the header menu.
- Narrow the width of the browser until the menu collapses and shows
  only a user icon.
- When you expand this version of the menu you should see the
  currently-suggested register.
Comment 2 David Nind 2021-02-21 10:37:09 UTC
Created attachment 117122 [details] [review]
Bug 27699: Add register information to responsive staff interface header menu

This patch adds register information to the version of the header menu
shown when the browser width is narrower.

To test, apply the patch and enable the UseCashRegisters system
preference.

- If necessary, create at least one cash register for your library under
  Administration -> Cash registers.
- From any page in the staff interface you should see a menu in the
  header showing your username and logged-in branch.
- Expand the menu and choose "Set library, desk and register."
- Select a cash register and save.
- The cash register information should now appear in the header menu.
- Narrow the width of the browser until the menu collapses and shows
  only a user icon.
- When you expand this version of the menu you should see the
  currently-suggested register.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2021-02-21 10:39:22 UTC
Testing notes:
- Also need to set UseCirculationDesks to Use.
- With Firefox you can also use Ctrl+Shift+M to test with different screen sizes.
Comment 4 Katrin Fischer 2021-03-04 13:55:15 UTC
Created attachment 117725 [details] [review]
Bug 27699: Add register information to responsive staff interface header menu

This patch adds register information to the version of the header menu
shown when the browser width is narrower.

To test, apply the patch and enable the UseCashRegisters system
preference.

- If necessary, create at least one cash register for your library under
  Administration -> Cash registers.
- From any page in the staff interface you should see a menu in the
  header showing your username and logged-in branch.
- Expand the menu and choose "Set library, desk and register."
- Select a cash register and save.
- The cash register information should now appear in the header menu.
- Narrow the width of the browser until the menu collapses and shows
  only a user icon.
- When you expand this version of the menu you should see the
  currently-suggested register.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2021-03-09 16:20:11 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 6 Fridolin Somers 2021-03-19 13:24:25 UTC
Enhancement not pushed to 20.11.x